Bug 623080 - AttributeError: 'NoneType' object has no attribute 'name'
AttributeError: 'NoneType' object has no attribute 'name'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vykydal
Fedora Extras Quality Assurance
anaconda_trace_hash:eb36bb1b0ef8d406f...
:
Depends On:
Blocks: 623149
  Show dependency treegraph
 
Reported: 2010-08-11 05:31 EDT by He Rui
Modified: 2011-05-19 08:59 EDT (History)
4 users (show)

See Also:
Fixed In Version: anaconda-14.17-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 623149 (view as bug list)
Environment:
Last Closed: 2011-05-19 08:59:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (647.27 KB, text/plain)
2010-08-11 05:31 EDT, He Rui
no flags Details

  None (edit)
Description He Rui 2010-08-11 05:31:05 EDT
The following was filed automatically by anaconda:
anaconda 14.15 exception report
Traceback (most recent call first):
  File "/usr/lib/python2.7/site-packages/pyanaconda/iw/task_gui.py", line 158, in _addAndEnableRepo
    "URL.") % self.repo.name, type="ok", custom_icon="error")
  File "/usr/lib/python2.7/site-packages/pyanaconda/iw/task_gui.py", line 368, in run
    if not applyFuncs[type](newRepoObj) or not self._addAndEnableRepo(newRepoObj) or not \
  File "/usr/lib/python2.7/site-packages/pyanaconda/iw/task_gui.py", line 550, in _addRepo
    if dialog.run() in [gtk.RESPONSE_CANCEL, gtk.RESPONSE_DELETE_EVENT]:
AttributeError: 'NoneType' object has no attribute 'name'
Comment 1 He Rui 2010-08-11 05:31:12 EDT
Created attachment 438136 [details]
Attached traceback automatically from anaconda.
Comment 2 He Rui 2010-08-11 05:35:30 EDT
At Package Repository step, I added a repo with the name 'ftp' first, and then I added another repo accidently with the same name 'ftp', I didn't notice it and click ‘OK’. Exception occurred.
Comment 3 Radek Vykydal 2010-08-12 10:58:39 EDT
This if fixed in master in anaconda-14.15-1, after alpha release, I'd like to push into to f14-branch - it is isolated and safe fix.
Comment 4 Radek Vykydal 2010-08-13 02:42:05 EDT
(In reply to comment #3)
> This if fixed in master in anaconda-14.15-1

oops, anaconda-15.0-1 that will be
Comment 5 Radek Vykydal 2010-08-24 11:35:45 EDT
This should be fixed in anaconda-14.17-1 (F14 Beta).

Note You need to log in before you can comment on or make changes to this bug.